This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 508913 - smolt 1.2-4 is missing a install Requires, and does not span more that the latest and greatest
smolt 1.2-4 is missing a install Requires, and does not span more that the la...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
19
All Linux
low Severity medium
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-30 10:01 EDT by R P Herrold
Modified: 2015-02-18 06:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:59:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2009-06-30 10:01:28 EDT
Description of problem:

With the chatter on smolt on Fedora-devel, I thot I'll build and run smolt to push some CentOS statistics in.

There appears to be a missing Requires:

[herrold@centos-5 smolt]$ sudo /usr/bin/smoltGui
Exception in thread Thread-1:
Traceback (most recent call last):
  File "/usr/lib64/python2.4/threading.py", line 442, in __bootstrap
    self.run()
  File "/usr/lib64/python2.4/threading.py", line 422, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/bin/smoltGui", line 148, in _send
    retvalue, pub_uuid, admin = self.profile.send(smoonURL=smolt.smoonURL)
  File "/usr/share/smolt/client/smolt.py", line 454, in send
    reset_resolver()
  File "/usr/share/smolt/client/smolt.py", line 322, in reset_resolver
    import ctypes
ImportError: No module named ctypes

Traceback (most recent call last):
  File "/usr/bin/smoltGui", line 262, in ?
    app.run()
  File "/usr/bin/smoltGui", line 249, in run
    gtk.main()
KeyboardInterrupt
[herrold@centos-5 smolt]$

Version-Release number of selected component (if applicable):

[herrold@centos-5 smolt]$ rpm -q smolt python-paste
smolt-1.2-4.2orc
python-paste-1.7.2-3orc

How reproducible:

Build and run smolt, smolt-gui, and called out install Require of python-paste on Centos 5

Steps to Reproduce:

attempt to run the tool
 
Actual results:

As shown

Expected results:

A working tool that is able to report across several platforms, rather than just for someone running the latest and greatest, to avoid 'biasing' the sample

Additional info:

Advise if additional information is needed and I'll provide
Comment 1 Mike McGrath 2009-06-30 10:10:26 EDT
If you have a second would you mind replacing that smoltGui.py with this one:


http://git.fedorahosted.org/git/smolt.git/?p=smolt.git;a=blob_plain;f=client/smoltGui.py;hb=HEAD

http://tinyurl.com/mtkjh3

I'll be releasing 1.3 in the next week or so.
Comment 2 R P Herrold 2009-06-30 13:23:51 EDT
draws in a new dep ...


[herrold@centos-5 ~]$ rpm -ql smolt | grep "smoltGui.py"
/usr/share/smolt/client/smoltGui.py
/usr/share/smolt/client/smoltGui.pyc
/usr/share/smolt/client/smoltGui.pyo
[herrold@centos-5 ~]$ w
[herrold@centos-5 ~]$ wget http://tinyurl.com/mtkjh3
--13:22:03--  http://tinyurl.com/mtkjh3
Resolving tinyurl.com... 85.255.210.131, 85.255.210.132, 195.66.135.131, ...
Connecting to tinyurl.com|85.255.210.131|:80... connected.
HTTP request sent, awaiting response... 301 Moved Permanently
Location: http://git.fedorahosted.org/git/smolt.git/?p=smolt.git;a=blob_plain;f=client/smoltGui.py;hb=HEAD [following]
--13:22:04--  http://git.fedorahosted.org/git/smolt.git/?p=smolt.git;a=blob_plain;f=client/smoltGui.py;hb=HEAD
Resolving git.fedorahosted.org... 66.135.52.17
Connecting to git.fedorahosted.org|66.135.52.17|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: unspecified [text/plain]
Saving to: `smoltGui.py'

    [ <=>                                         ] 7,085       --.-K/s   in 0.07s

13:22:05 (93.2 KB/s) - `smoltGui.py' saved [7085]

[herrold@centos-5 ~]$ sudo cp smoltGui.py /usr/share/smolt/client/smoltGui.py
Password:
[herrold@centos-5 ~]$ sudo smoltGui.py
sudo: smoltGui.py: command not found
[herrold@centos-5 ~]$ sudo /usr/bin/smoltGui
Traceback (most recent call last):
  File "/usr/bin/smoltGui", line 20, in ?
    from PyQt4.QtCore import *
ImportError: No module named PyQt4.QtCore
[herrold@centos-5 ~]$
Comment 3 R P Herrold 2009-07-14 10:21:17 EDT
looks like the .spec file is missing picking up the Dependency

but more importantly, how do earlier releases report information with bleeding edge Requires?

-- Russ herrold

[herrold@centos-5 smolt]$ sudo rpm -Uvh /home/herrold/rpmbuild/RPMS/noarch/smolt-1.3-1orc.noarch.rpm /home/herrold/rpmbuild/RPMS/noarch/smolt-gui-1.3-1orc.noarch.rpm
Preparing...                ########################################### [100%]
   1:smolt                  ########################################### [ 50%]
   2:smolt-gui              ########################################### [100%]
rpm[herrold@centos-5 smolt]$ rpm -ql smolt-gui
/usr/bin/smoltGui
/usr/share/applications/fedora-smolt.desktop
/usr/share/icons/hicolor/16x16/apps/smolt.png
/usr/share/icons/hicolor/22x22/apps/smolt.png
/usr/share/icons/hicolor/24x24/apps/smolt.png
/usr/share/icons/hicolor/32x32/apps/smolt.png
[herrold@centos-5 smolt]$ sudo /usr/bin/smoltGui
Traceback (most recent call last):
  File "/usr/bin/smoltGui", line 20, in ?
    from PyQt4.QtCore import *
ImportError: No module named PyQt4.QtCore
[herrold@centos-5 smolt]$ rpm -q smolt smolt-gui
smolt-1.3-1orc
smolt-gui-1.3-1orc
[herrold@centos-5 smolt]$
Comment 4 Matt Castelein 2009-09-03 16:30:40 EDT
Same error here:

Traceback (most recent call last):
  File "/usr/bin/smoltGui", line 20, in <module>
    from PyQt4.QtCore import *
ImportError: No module named PyQt4.QtCore

With packages:

smolt-gui-1.3-1.fc11.noarch
smolt-1.3-1.fc11.noarch
Comment 5 Bug Zapper 2009-11-16 05:33:57 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-11-04 06:54:20 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 R P Herrold 2010-11-04 09:47:40 EDT
the Requires:, and more importantly, Comment 3 remains unaddressed

Moving back in to RawHide to prevent the autocloser script from letting this issue slip away unanswered and lost, and the needed Requires, not added and backported appropriately

-- Russ herrold
Comment 8 Fedora Admin XMLRPC Client 2011-02-08 16:14:54 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora End Of Life 2013-04-03 16:19:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 10 Fedora End Of Life 2015-01-09 16:40:04 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-02-18 06:59:23 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.